Subject: Re: [bug#30629] [PATCH 0/5] Detect missing modules in the initrd

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Mar 2018 11:05:33 +0100

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

>> > I'm not sure about the module resolution order, first use the aliases or first
>> > use the real module files?  
>> 
>> In what part?
>
> modprobe.  It can either get "pci:024215325233" or "ahci".  The first is an alias
> and the latter eventually resolves to a file "ahci.ko".

I see.  Does it make sense to first look up the name in modules.aliases,
and if that fails, assume it’s a module name?

>> > +                 (path (string-append linux-release-module-directory name)))  
>> 
>> s/path/directory/ :-)
>
> It's the full path to the module file (a regular file).  "name" was taken :)

To avoid ambiguities, the GNU Coding Standards (and Guix) suggest using
the word “path” for search paths, and “file name” (or “file”, or
“directory”) for file/directory names:

  https://www.gnu.org/prep/standards/html_node/GNU-Manuals.html#GNU-Manuals

Really a detail, but I think it’s good to be consistent.

>> >  (define* (base-initrd file-systems
>> >                        #:key
>> >                        (linux linux-libre)
>> > +                      (linux-modules '())
>> >                        (kmod kmod-minimal/static)
>> >                        (mapped-devices '())
>> >                        qemu-networking?  
>> 
>> We no longer need #:kmod here.
>
> Yes, we do.

I mean in the final version we’ll use the (gnu build linux-modules) I
think, so we won’t need kmod anymore.  Or am I missing something?

Thank you!

Ludo’.